import SR6BaseItemData from '../base-item-data.mjs';

export default class SR6SpellItemData extends SR6BaseItemData {
    static defineSchema() {
        const fields = foundry.data.fields;
        return {
            ...super.defineSchema(),
            category:        new fields.StringField({ initial: "health" }),
            duration:        new fields.StringField({ initial: "instantaneous" }),
            drain:           new fields.NumberField({ initial: 1 }),
            type:            new fields.StringField({ initial: "physical" }),
            range:           new fields.StringField({ initial: "self" }),
            damage:          new fields.StringField({ initial: "physical" }),
            combatSpellType: new fields.StringField({ initial: "spells_indirect" }),
            alchemic:        new fields.BooleanField({ initial: false }),
            multiSense:      new fields.BooleanField({ initial: false }),
            isOpposed:       new fields.BooleanField({ initial: true }),
            withEssence:     new fields.BooleanField({ initial: false }),
            wildDie:         new fields.BooleanField({ initial: false }),
            isSustained:     new fields.BooleanField({ initial: false })
        };
    }
}